Debian Bug report logs - #530501
"command not found" during purge

version graph

Package: openssh-client; Maintainer for openssh-client is Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>; Source for openssh-client is src:openssh.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Mon, 25 May 2009 08:12:02 UTC

Severity: normal

Found in version openssh/1:5.1p1-5

Fixed in version openssh/1:5.1p1-6

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>:
Bug#530501; Package openssh-client. (Mon, 25 May 2009 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>. (Mon, 25 May 2009 08:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: "command not found" during purge
Date: Mon, 25 May 2009 10:07:01 +0200
[Message part 1 (text/plain, inline)]
Package: openssh-client
Version: 1:5.1p1-5
Severity: normal
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed a "command not found" during purge, the 
relevant lines from the attached logfile (scroll down to the end) are:

1m32.0s DEBUG: Starting command: 
['chroot', '/org/piuparts.debian.org/tmp/tmpNVi_v3', 'dpkg', '--purge', 'openssh-client']
1m32.1s DUMP: 
  (Reading database ... 5840 files and directories currently installed.)
  Removing openssh-client ...
  Purging configuration files for openssh-client ...
  /var/lib/dpkg/info/openssh-client.postrm: line 34: delgroup: command not 
found
1m32.1s DEBUG: Command ok: 
['chroot', '/org/piuparts.debian.org/tmp/tmpNVi_v3', 'dpkg', '--purge', 'openssh-client']

As there were no groups left on the system after purge and the exit status was 
also ok, I only file this with "normal" severity, though I (lazyly without 
investigating myself ;) wonder why this is the case :-)

From the third paragraph about the meaning of the depends field in
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-binarydeps

The Depends field should also be used if the postinst, prerm or postrm scripts
require the package to be present in order to run. __Note, however, that the
postrm cannot rely on any non-essential packages to be present during the
purge phase__.


regards,
	Holger
[openssh-client_1:5.1p1-5.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>:
Bug#530501; Package openssh-client. (Thu, 28 May 2009 22:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>. (Thu, 28 May 2009 22:27:02 GMT) Full text and rfc822 format available.

Message #10 received at 530501@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 530501@bugs.debian.org
Subject: Re: Bug#530501: "command not found" during purge
Date: Thu, 28 May 2009 23:06:23 +0100
tags 530501 pending
thanks

On Mon, May 25, 2009 at 10:07:01AM +0200, Holger Levsen wrote:
> during a test with piuparts I noticed a "command not found" during purge, the 
> relevant lines from the attached logfile (scroll down to the end) are:
> 
> 1m32.0s DEBUG: Starting command: 
> ['chroot', '/org/piuparts.debian.org/tmp/tmpNVi_v3', 'dpkg', '--purge', 'openssh-client']
> 1m32.1s DUMP: 
>   (Reading database ... 5840 files and directories currently installed.)
>   Removing openssh-client ...
>   Purging configuration files for openssh-client ...
>   /var/lib/dpkg/info/openssh-client.postrm: line 34: delgroup: command not 
> found
> 1m32.1s DEBUG: Command ok: 
> ['chroot', '/org/piuparts.debian.org/tmp/tmpNVi_v3', 'dpkg', '--purge', 'openssh-client']
> 
> As there were no groups left on the system after purge and the exit status was 
> also ok, I only file this with "normal" severity, though I (lazyly without 
> investigating myself ;) wonder why this is the case :-)

It doesn't rely on it - it calls it if it can, but ignores errors,
precisely so that it doesn't fail if delgroup is absent. I suppose I'll
make it check whether delgroup is present before doing this, though.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Tags added: pending Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Thu, 28 May 2009 22:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>:
Bug#530501; Package openssh-client. (Thu, 28 May 2009 22:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>. (Thu, 28 May 2009 22:36:02 GMT) Full text and rfc822 format available.

Message #17 received at 530501@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Colin Watson <cjwatson@debian.org>
Cc: 530501@bugs.debian.org
Subject: Re: Bug#530501: "command not found" during purge
Date: Fri, 29 May 2009 00:33:32 +0200
[Message part 1 (text/plain, inline)]
Hi Colin,

On Freitag, 29. Mai 2009, Colin Watson wrote:
> It doesn't rely on it - it calls it if it can, but ignores errors,
> precisely so that it doesn't fail if delgroup is absent. 

Ah.

> I suppose I'll 
> make it check whether delgroup is present before doing this, though.

That would be nice, so I can more meaningful grep for "command not found" in 
piuparts logs :-)

> Thanks,

Thank you!


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Fri, 05 Jun 2009 12:12:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Fri, 05 Jun 2009 12:12:05 GMT) Full text and rfc822 format available.

Message #22 received at 530501-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 530501-close@bugs.debian.org
Subject: Bug#530501: fixed in openssh 1:5.1p1-6
Date: Fri, 05 Jun 2009 11:47:12 +0000
Source: openssh
Source-Version: 1:5.1p1-6

We believe that the bug you reported is fixed in the latest version of
openssh, which is due to be installed in the Debian FTP archive:

openssh-client-udeb_5.1p1-6_i386.udeb
  to pool/main/o/openssh/openssh-client-udeb_5.1p1-6_i386.udeb
openssh-client_5.1p1-6_i386.deb
  to pool/main/o/openssh/openssh-client_5.1p1-6_i386.deb
openssh-server-udeb_5.1p1-6_i386.udeb
  to pool/main/o/openssh/openssh-server-udeb_5.1p1-6_i386.udeb
openssh-server_5.1p1-6_i386.deb
  to pool/main/o/openssh/openssh-server_5.1p1-6_i386.deb
openssh_5.1p1-6.diff.gz
  to pool/main/o/openssh/openssh_5.1p1-6.diff.gz
openssh_5.1p1-6.dsc
  to pool/main/o/openssh/openssh_5.1p1-6.dsc
ssh-askpass-gnome_5.1p1-6_i386.deb
  to pool/main/o/openssh/ssh-askpass-gnome_5.1p1-6_i386.deb
ssh-krb5_5.1p1-6_all.deb
  to pool/main/o/openssh/ssh-krb5_5.1p1-6_all.deb
ssh_5.1p1-6_all.deb
  to pool/main/o/openssh/ssh_5.1p1-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530501@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated openssh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 05 Jun 2009 11:56:03 +0100
Source: openssh
Binary: openssh-client openssh-server ssh ssh-krb5 ssh-askpass-gnome openssh-client-udeb openssh-server-udeb
Architecture: source all i386
Version: 1:5.1p1-6
Distribution: unstable
Urgency: low
Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 openssh-client - secure shell client, an rlogin/rsh/rcp replacement
 openssh-client-udeb - secure shell client for the Debian installer (udeb)
 openssh-server - secure shell server, an rshd replacement
 openssh-server-udeb - secure shell server for the Debian installer (udeb)
 ssh        - secure shell client and server (metapackage)
 ssh-askpass-gnome - interactive X program to prompt users for a passphrase for ssh-ad
 ssh-krb5   - secure shell client and server (transitional package)
Closes: 511771 530501 531942
Changes: 
 openssh (1:5.1p1-6) unstable; urgency=low
 .
   * Open /proc/self/oom_adj with O_RDONLY or O_WRONLY as necessary, rather
     than O_RDWR.
   * Disable OOM adjustment for vserver/OpenVZ (thanks, Karl Chen; closes:
     #511771).
   * Add ufw integration (thanks, Didier Roche; see
     https://wiki.ubuntu.com/UbuntuFirewall#Integrating%20UFW%20with%20Packages;
     LP: #261884).
   * Add a comment above PermitRootLogin in sshd_config pointing to
     README.Debian.
   * Check if delgroup is present in openssh-client.postrm (closes: #530501).
   * Build with -fPIC on mips/mipsel (thanks, Luk Claes; closes: #531942).
   * Remove /var/run/sshd from openssh-server package; it will be created at
     run-time before starting the server.
   * Use invoke-rc.d in openssh-server's if-up script.
Checksums-Sha1: 
 81e151b07f1fd676949615d9ed4f197510cc5f50 1500 openssh_5.1p1-6.dsc
 91bec7554fd4295b8164be6481792276333c76d0 217216 openssh_5.1p1-6.diff.gz
 d54c38bc118da03066c82be6bb5abcfd4b5d8d42 1204 ssh_5.1p1-6_all.deb
 9288f7c427e4aa2f47a50c19c652c8bb6b083d1d 116112 ssh-krb5_5.1p1-6_all.deb
 ecaf63c826b8b3ea7d61144857a25a3e28651495 813404 openssh-client_5.1p1-6_i386.deb
 683ed5c50c54514af50783e20182b92c3af1384e 294552 openssh-server_5.1p1-6_i386.deb
 0c6ca62ed9560797e60fef0437a70c3afdde5cd7 123618 ssh-askpass-gnome_5.1p1-6_i386.deb
 92b7cab57ef475b422d807af38caaf6b3f2bbad2 176330 openssh-client-udeb_5.1p1-6_i386.udeb
 2742b66c8787f8a2b87f43ad159dd294aa454dd0 197786 openssh-server-udeb_5.1p1-6_i386.udeb
Checksums-Sha256: 
 b96251adeb67a5f90d7db5a27bb7d12305b59c31d4ebdf39b66ecff31766f6ff 1500 openssh_5.1p1-6.dsc
 471967a93d617dfc20ec15d06a9c3e5c15c07aeb022f02aa680dab01145c5e3a 217216 openssh_5.1p1-6.diff.gz
 bd69ab69a2fa1ffc4a5c292bd4c070980b1cfe7898cd9fedf341421b272a74df 1204 ssh_5.1p1-6_all.deb
 617cb84c3d4ddc750c7c051949074c111a032e5b7d2753a97abd7af8254c4d97 116112 ssh-krb5_5.1p1-6_all.deb
 aa6891df4fee6c9b35c7d1bc8c3ef5bab861baa95c05d8b73e5dbf36d775ef21 813404 openssh-client_5.1p1-6_i386.deb
 adefee9e2443250eb9fa769601710501f91c244c11fc9672fc4a648450022d47 294552 openssh-server_5.1p1-6_i386.deb
 500a3d3e2335580e530ee3e844e6f2fbc2c913f2a04c2e76ad64a39289d9098e 123618 ssh-askpass-gnome_5.1p1-6_i386.deb
 f7edee9b14c079d35ce43930e45466ec3fda81effdcb360547b790647f132346 176330 openssh-client-udeb_5.1p1-6_i386.udeb
 77b290ba84a2f7d922fa20cef87a7d36792eae2095212ba8c248a9a668446a71 197786 openssh-server-udeb_5.1p1-6_i386.udeb
Files: 
 7a9b60156f943d072836a464c520b443 1500 net standard openssh_5.1p1-6.dsc
 a71e2e7a75b55337016b3715c243e16a 217216 net standard openssh_5.1p1-6.diff.gz
 f8264195de2df2302c790405a705463c 1204 net extra ssh_5.1p1-6_all.deb
 2e926d2588f69fae5fb786d53da3bbc9 116112 net extra ssh-krb5_5.1p1-6_all.deb
 608504930fea49a85e4aa3e340350735 813404 net standard openssh-client_5.1p1-6_i386.deb
 aac8f933b12517937c85dff4cbfcabca 294552 net optional openssh-server_5.1p1-6_i386.deb
 13300def87fe0d129172c0c1e3b456ca 123618 gnome optional ssh-askpass-gnome_5.1p1-6_i386.deb
 6e385a11e109ed4c9eba5d79815fd12d 176330 debian-installer optional openssh-client-udeb_5.1p1-6_i386.udeb
 6d775fcba98cf869197119354f5d632c 197786 debian-installer optional openssh-server-udeb_5.1p1-6_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFKKQPD9t0zAhD6TNERAl/aAJwLMJJFr/sNfqDSXnwsAG7/7sXloACbBIIn
ZpUzq9GqBsCcpISI7H+1zxE=
=FV2i
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Aug 2009 07:27:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:54:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.